var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Input, Output } from '@angular/core';
var ComBelSearchComponent = /** @class */ (function () {
    function ComBelSearchComponent() {
        this.componentId = 'id-' + new Date().getTime().toString();
        this.valueChange = new EventEmitter();
        this.submitFunc = new EventEmitter();
        //
    }
    ComBelSearchComponent.prototype.ngOnInit = function () {
        var _this = this;
        if (!this.placeholder) {
            this.placeholder = 'Поиск...';
        }
        if (this.mb === undefined) {
            this.mb = 24;
        }
        if (this.autofocus) {
            setTimeout(function () {
                var elInput = document.getElementById('input-' + _this.componentId);
                if (elInput) {
                    elInput.focus();
                }
            }, 1000);
        }
    };
    ComBelSearchComponent.prototype.onChangeValue = function () {
        this.valueChange.emit(this.value);
    };
    ComBelSearchComponent.prototype.clear = function () {
        this.value = '';
        this.onChangeValue();
        this.submit();
    };
    ComBelSearchComponent.prototype.submit = function () {
        this.submitFunc.emit();
    };
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], ComBelSearchComponent.prototype, "placeholder", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], ComBelSearchComponent.prototype, "value", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], ComBelSearchComponent.prototype, "isLive", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Number)
    ], ComBelSearchComponent.prototype, "mb", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], ComBelSearchComponent.prototype, "autofocus", void 0);
    __decorate([
        Output(),
        __metadata("design:type", EventEmitter)
    ], ComBelSearchComponent.prototype, "valueChange", void 0);
    __decorate([
        Output(),
        __metadata("design:type", EventEmitter)
    ], ComBelSearchComponent.prototype, "submitFunc", void 0);
    ComBelSearchComponent = __decorate([
        Component({
            selector: 'com-bel-search',
            templateUrl: 'com-bel-search.component.html',
            styleUrls: ['com-bel-search.component.scss']
        }),
        __metadata("design:paramtypes", [])
    ], ComBelSearchComponent);
    return ComBelSearchComponent;
}());
export { ComBelSearchComponent };
//# sourceMappingURL=com-bel-search.component.js.map